package com.ruoyi.szxc.service.impl;

import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.szxc.domain.SzxcDiscussCentre;
import com.ruoyi.szxc.mapper.SzxcDiscussCentreMapper;
import com.ruoyi.szxc.service.ISzxcDiscussCentreService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 议事中心Service业务层处理
 * 
 * @author hs
 * @date 2024-03-20
 */
@Service
public class SzxcDiscussCentreServiceImpl implements ISzxcDiscussCentreService 
{
    @Autowired
    private SzxcDiscussCentreMapper szxcDiscussCentreMapper;

    /**
     * 查询议事中心
     * 
     * @param id 议事中心主键
     * @return 议事中心
     */
    @Override
    public SzxcDiscussCentre selectSzxcDiscussCentreById(Long id)
    {
        return szxcDiscussCentreMapper.selectSzxcDiscussCentreById(id);
    }

    /**
     * 查询议事中心列表
     * 
     * @param szxcDiscussCentre 议事中心
     * @return 议事中心
     */
    @Override
    @DataScope(deptAlias = "d")
    public List<SzxcDiscussCentre> selectSzxcDiscussCentreList(SzxcDiscussCentre szxcDiscussCentre)
    {
        return szxcDiscussCentreMapper.selectSzxcDiscussCentreList(szxcDiscussCentre);
    }

    /**
     * 新增议事中心
     * 
     * @param szxcDiscussCentre 议事中心
     * @return 结果
     */
    @Override
    public int insertSzxcDiscussCentre(SzxcDiscussCentre szxcDiscussCentre)
    {
        szxcDiscussCentre.setCreateTime(DateUtils.getNowDate());
        return szxcDiscussCentreMapper.insertSzxcDiscussCentre(szxcDiscussCentre);
    }

    /**
     * 修改议事中心
     * 
     * @param szxcDiscussCentre 议事中心
     * @return 结果
     */
    @Override
    public int updateSzxcDiscussCentre(SzxcDiscussCentre szxcDiscussCentre)
    {
        szxcDiscussCentre.setUpdateTime(DateUtils.getNowDate());
        return szxcDiscussCentreMapper.updateSzxcDiscussCentre(szxcDiscussCentre);
    }

    /**
     * 批量删除议事中心
     * 
     * @param ids 需要删除的议事中心主键
     * @return 结果
     */
    @Override
    public int deleteSzxcDiscussCentreByIds(Long[] ids)
    {
        return szxcDiscussCentreMapper.deleteSzxcDiscussCentreByIds(ids);
    }

    /**
     * 删除议事中心信息
     * 
     * @param id 议事中心主键
     * @return 结果
     */
    @Override
    public int deleteSzxcDiscussCentreById(Long id)
    {
        return szxcDiscussCentreMapper.deleteSzxcDiscussCentreById(id);
    }
}
